package com.inazumatv.events
{

import flash.events.Event;

public class FanSpeedEvent extends Event
{
	
	public static const CHANGE_SPEED:String = "changeSpeed";
	private var _speed:Number;
	
	public function FanSpeedEvent(speed:Number, type:String, bubbles:Boolean=true, cancelable:Boolean=false)
	{
		_speed = speed;
		super(type, bubbles, cancelable);
	}
	
	override public function clone():Event
	{
		return new FanSpeedEvent(speed, type, bubbles, cancelable);
	}
	
	override public function toString():String
	{
		return formatToString("FanSpeedEvent", "speed", "type", "bubbles", "cancelable", "eventPhase")
	}
	
	public function get speed():Number
	{
		return _speed;
	}
}

}

