﻿package com.inazumatv.signals.ui
{

import flash.events.MouseEvent;

import org.osflash.signals.Signal;

public class BTAccelerate extends BTBaseClickSignal
{
	
	private var _speed:Number = 0;
	private var _accelerate:Signal;
	
	public function BTAccelerate(label:String=null, posx:Number=NaN, posy:Number=NaN)
	{
		super(label, posx, posy);
		_accelerate = new Signal(Number);
	}
	
	override protected function onClick(e:MouseEvent):void
	{
		super.onClick(e);
		_accelerate.dispatch(_speed);
	}
	
	public function get accelerate():Signal
	{
		return _accelerate;
	}
	
	public function get speed():Number
	{
		return _speed;
	}

	public function set speed(value:Number):void
	{
		if (value !== _speed)
		{
			_speed = value;
		}
	}
}

}

